#ifndef _ETHERNET_FTP_h_
#define _ETHERNET_FTP_h_

#include <rtcs.h>
#include <ftpd.h>
#include <ipcfg.h>
#include "..\format\format.h"


#ifndef ENET_IPADDR
   #define ENET_IPADDR  IPADDR(192,168,1,251) 
#endif

#ifndef ENET_IPMASK
   #define ENET_IPMASK  IPADDR(255,255,255,0) 
#endif

//    /* Length of Each Logical Address Block */
//    #define LENGTH_OF_EACH_LAB_              (512)    
//    /* total number of logical blocks present */
//    #define TOTAL_LOGICAL_ADDRESS_BLOCKS_    (60)                                       
//    /* Net Disk Size */
//    #define DISK_SIZE                       (LENGTH_OF_EACH_LAB_ * TOTAL_LOGICAL_ADDRESS_BLOCKS_)

/****************************************************************************
*       Global variables declarations
***************************************************************************/

extern IPCFG_IP_ADDRESS_DATA IP_address;

boolean FTP_init(void);
boolean Enet_init(void);
void Get_IP_address(void);

#endif
