/******************************************************************************
* 
* Copyright (c) 2012 Elnico s.r.o.
* All Rights Reserved                       
*
*******************************************************************************
*
* THIS SOFTWARE IS PROVIDED BY ELNICO "AS IS" AND ANY EXPRESSED OR 
* IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES 
* OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  
* IN NO EVENT SHALL ELNICO OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, 
* INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES 
* (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR 
* SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) 
* HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, 
* STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING 
* IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF 
* THE POSSIBILITY OF SUCH DAMAGE.
*
****************************************************************************//*!
*
* @file      utils.h
*
* @author    Petr Kubiznak
* 
* @version   1.0
* 
* @date      Sep-05-2012
* 
* @brief     Project tasks common definitions.
*
*******************************************************************************/

#ifndef __TASKS_H__344141640101560416546243
#define __TASKS_H__344141640101560416546243

/******************************************************************************/
/* Task IDs */
#define LCD_TASK                        1
#define TIME_TASK                       2
#define WAVE_PLAYER_TASK                3
#define HTTPDSRV_TASK                   4
#define FTP_INIT_TASK                   5
#define GET_IP_ADDRESS_TASK             6
#define USB_MSD_DISK_TASK               7
#define MFS_USB_TASK                    8
#define NAND_FLASH_TASK                 9


/******************************************************************************/
#endif /* __TASKS_H__344141640101560416546243 */
