/******************************************************************************
* 
* Copyright (c) 2010 Freescale Semiconductor;
* All Rights Reserved                       
*
*******************************************************************************
*
* THIS SOFTWARE IS PROVIDED BY FREESCALE "AS IS" AND ANY EXPRESSED OR 
* IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES 
* OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  
* IN NO EVENT SHALL FREESCALE OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, 
* INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES 
* (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR 
* SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) 
* HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, 
* STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING 
* IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF 
* THE POSSIBILITY OF SUCH DAMAGE.
*
***************************************************************************//*!
*
* @file      d4dlcdhw_twrrgba.h
*
* @author    b01119
* 
* @version   0.0.2.0
* 
* @date      Dec-7-2011
* 
* @brief     D4D driver - k70_lcdc hardware lcd driver function header file 
*
*******************************************************************************/

#ifndef __D4DLCDHW_K70_LCDCTWRRGBA_H
#define __D4DLCDHW_K70_LCDCTWRRGBA_H

  #if (D4D_MK_STR(D4D_LLD_LCD_HW_K70LCDC) == d4dlcdhw_k70_lcdc_twr_rgbA_ID)

    /******************************************************************************
    * Includes
    ******************************************************************************/
    
    /******************************************************************************
    * Constants
    ******************************************************************************/
		

    #ifndef D4DLCDHWFB_PANEL_CLKDIV	
      #define D4DLCDHWFB_PANEL_CLKDIV 3
    #endif	

    /******************************************************************************
    * Types
    ******************************************************************************/

    /******************************************************************************
    * Macros 
    ******************************************************************************/
      
    /******************************************************************************
    * Global variables
    ******************************************************************************/

    /******************************************************************************
    * Global functions
    ******************************************************************************/
    unsigned char D4DLCDHW_Init_K70LCDC_Panel(void);


/************************* Structure/Union Data types ************************/


  #endif
#endif /* __D4DLCDHW_K70_LCDCTWRRGBA_H */










