#ifndef _nand_flash_fcn_h_
#define _nand_flash_fcn_h_
/**HEADER********************************************************************

**************************************************************************
*
* $FileName: nand_flash_fcn.h$
* $Version : 
* $Date    : 
*
* Comments:
*
*
*END************************************************************************/
void nand_flash_init(void);
MQX_FILE_PTR nandflash_open(char_ptr name);
void nandflash_close(MQX_FILE_PTR nandflash);
uchar_ptr allocate_buffer(_mem_size buffer_size, char_ptr string);
void size_compare( MQX_FILE_PTR flash_hdl, _mqx_int i, 
                  _mqx_int read_write_size );
void compare_test( uchar_ptr write_buffer, uchar_ptr read_buffer, 
                  _mem_size read_write_size);

int_32 NANDFlash_writeheader(uchar *header, uint_32 size);
int_32 NANDFlash_readheader(uchar **header, _mqx_uint *size);
int_32 NANDFlash_writefile(MQX_FILE_PTR file, _mqx_uint *location);
MQX_FILE_PTR NANDFlash_readfile(char *file_name, _mqx_uint size, _mqx_uint *location);
boolean NANDFlash_addfile2header(MQX_FILE_PTR file, char *name, uchar** header,
                                 _mqx_uint *headersize);

#endif