/******************************************************************************
* 
* Copyright (c) 2012 Elnico s.r.o.
* All Rights Reserved                       
*
*******************************************************************************
*
* THIS SOFTWARE IS PROVIDED BY ELNICO "AS IS" AND ANY EXPRESSED OR 
* IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES 
* OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  
* IN NO EVENT SHALL ELNICO OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, 
* INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES 
* (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR 
* SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) 
* HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, 
* STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING 
* IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF 
* THE POSSIBILITY OF SUCH DAMAGE.
*
****************************************************************************//*!
*
* @file      d4d_screen_audioplr.c
*
* @author    Petr Kubiznak
* 
* @version   1.0
* 
* @date      Sep-14-2012
* 
* @brief     D4D demo - audioplayer screen
*
******************************************************************************/

#ifndef _D4D_SCREEN_AUDIOPLR_H_62690752975187890215646917512
#define _D4D_SCREEN_AUDIOPLR_H_62690752975187890215646917512

/*******************************************************************************
*       Includes header files
*******************************************************************************/

/*******************************************************************************
* Global functions
*******************************************************************************/

/** Opens the screen and starts playing a song.
* @param[in]  filename  Name of song to play. */
void ScrAudioplr_Show(const D4D_CHAR *filename);

#endif /* _D4D_SCREEN_AUDIOPLR_H_62690752975187890215646917512 */
