/******************************************************************************
* 
* Copyright (c) 2012 Elnico s.r.o.
* All Rights Reserved                       
*
*******************************************************************************
*
* THIS SOFTWARE IS PROVIDED BY ELNICO "AS IS" AND ANY EXPRESSED OR 
* IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES 
* OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  
* IN NO EVENT SHALL ELNICO OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, 
* INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES 
* (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR 
* SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) 
* HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, 
* STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING 
* IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF 
* THE POSSIBILITY OF SUCH DAMAGE.
*
****************************************************************************//*!
*
* @file      schemes.h
*
* @author    Petr Kubiznak
* 
* @version   1.0
* 
* @date      Sep-15-2012
* 
* @brief     Common color schemes.
*
******************************************************************************/

#ifndef _D4D_SCHEMES_H_24366742454462464302206514234
#define _D4D_SCHEMES_H_24366742454462464302206514234

#include <d4d.h>

extern D4D_CLR_SCHEME schemeWhiteOnBlack;
extern D4D_CLR_SCHEME schemeTransparent;
extern D4D_CLR_SCHEME d4d_clr_scheme_blue;
extern D4D_CLR_SCHEME d4d_clr_scheme_navy;
extern D4D_CLR_SCHEME d4d_clr_scheme_green;
extern D4D_CLR_SCHEME d4d_clr_scheme_red;

#endif /* _D4D_SCHEMES_H_24366742454462464302206514234 */
