
#ifndef _USB_MSD_DISK_H
#define _USB_MSD_DISK_H  1

#include "usb_descriptor.h"
#include"..\format\format.h"
#include "mfs.h"
#include <shell.h>

//#define RAM_DISK_APP        (1)
//
//#define USB_MSD_DISK_BASE     ((D4D_MEMPOOL_BASE)+(D4D_MEMPOOL_SIZE)+1)
//
//#if RAM_DISK_APP
//    /* Length of Each Logical Address Block */
//    #define LENGTH_OF_EACH_LAB              (512)    
//    /* total number of logical blocks present */
//    #define TOTAL_LOGICAL_ADDRESS_BLOCKS    ((0x77FFFFF0-(USB_MSD_DISK_BASE)-1)/512)                                       
//    /* Net Disk Size */
//    #define USB_MSD_DISK_SIZE                       (LENGTH_OF_EACH_LAB * TOTAL_LOGICAL_ADDRESS_BLOCKS)
//#endif

#define LOGICAL_UNIT_SUPPORTED          (1)

#define SUPPORT_DISK_LOCKING_MECHANISM  (0) /*1: TRUE; 0:FALSE*/
/* If Implementing Disk Drive then configure the macro below as TRUE,
   otherwise keep it False(say for Hard Disk)*/
#define IMPLEMENTING_DISK_DRIVE         (0) /*1: TRUE; 0:FALSE*/

#define MSD_RECV_BUFFER_SIZE            (BULK_OUT_ENDP_PACKET_SIZE)
#define MSD_SEND_BUFFER_SIZE            (BULK_IN_ENDP_PACKET_SIZE)


typedef struct _disk_variable_struct
{
    MSD_HANDLE app_handle;
    boolean start_app;
//#if RAM_DISK_APP
    uint_8 *storage_disk;     //RAM pro disk 
//#endif  
    uint_8 disk_lock;   
}DISK_STRUCT, _PTR_ DISK_STRUCT_PTR; 


extern void USB_MSD_disk(uint_32 temp);
extern boolean USB_MSD_Disk_init(void);
extern boolean USB_MSD_Disk_deinit(void);

#endif

